Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class NodeList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  groovy.util.NodeList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class NodeList

extends ArrayList

A List implementation which is returned by queries on a `Node` which provides some XPath like helper methods for GPath.

Author:
  James Strachan, Paul King
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`NodeList()`
`NodeList(Collection collection)`
`NodeList(int size)`

Method Summary
`NodeList` | `getAt(QName name)` Provides lookup of elements by QName.
`NodeList` | `getAt(String name)` Provides lookup of elements by non-namespaced name.
`String` | `text()` Returns the text value of all of the elements in the collection.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### NodeList

    public NodeList()

### NodeList

    public NodeList(Collection collection)

### NodeList

    public NodeList(int size)

Method Detail

### getAt

    public NodeList getAt(String name)

  Provides lookup of elements by non-namespaced name.

  Parameters:
    `name` - the name or shortcut key for nodes of interest
  Returns:
    the nodes of interest which match name

### getAt

    public NodeList getAt(QName name)

  Provides lookup of elements by QName.

  Parameters:
    `name` - the name or shortcut key for nodes of interest
  Returns:
    the nodes of interest which match name

### text

    public String text()

  Returns the text value of all of the elements in the collection.

  Returns:
    the text value of all the elements in the collection or null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD